package com.xxh.cloud.basic.client.api;


import com.xxh.cloud.basic.client.api.bean.bos.ParamsBO;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface ParamsClientService {

    public ParamsBO getParamsById(String id);

    public List<ParamsBO> getParamsListByIds(Collection<String> ids);

    public Map<String, ParamsBO> getParamsMapByIds(Collection<String> ids);

    public  <T> T getParamConfig(String paramValType ,T bean);

    public  <T> T getParamConfig(String id, String paramValType ,T bean);


    public  <T> T getParamConfig(Map<String, Object>  valMap ,T bean);
}
