package com.xxh.cloud.basic.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;


@Data
@EqualsAndHashCode(callSuper = true)
@TableName("basic_visit_verification_config")
public class VisitVerificationConfig extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "校验目标分类")
    private String visitType;

    @ApiModelProperty(value = "校验目标ID")
    private String visitId;

    @ApiModelProperty(value = "'校验规则分类'")
    private String verType;

    @ApiModelProperty(value = "应用端范围(全部/患者端/医生端)")
    private String appScope;

    @ApiModelProperty(value = "应用端功能范围")
    private String bizScope;

    @ApiModelProperty(value = "校验条件配置")
    private String verificationConfig;

    @ApiModelProperty(value = "数据来源")
    private String dataSource;

    @ApiModelProperty(value = "逻辑删除标记")
    private String rowsStatus;


}