package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Getter
@Setter
public class VisitVerificationEditDTO {

    @ApiModelProperty(value = "数据ID",required = true)
    @NotEmpty(message = "数据ID不能为空")
    private String id;

    @ApiModelProperty(value = "应用端范围(全部/患者端/医生端)", required = true)
    @NotEmpty(message = "应用端范围不能为空")
    private String appScope;

    @ApiModelProperty(value = "应用端功能范围", required = true)
    @NotEmpty(message = "应用端功能范围不能为空")
    private String bizScope;

    @ApiModelProperty(value = "校验条件配置")
    private String verificationConfig;

}
