package com.xxh.cloud.basic.framework.modules.base.entity.vos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class CompanyPropertyVO {



    @ApiModelProperty(value = "公司简称")
    private String shortName;

    @ApiModelProperty(value = "公司性质")
    private String enterpriseNature;


    @ApiModelProperty(value = "所属行业")
    private String industry;


    @ApiModelProperty(value = "成立时间")
    private String foundedTime;


    @ApiModelProperty(value = "公司电话")
    private String telePhone;

    @ApiModelProperty(value = "公司传真")
    private String fax;


    @ApiModelProperty(value = "公司主页")
    private String webSite;


    @ApiModelProperty(value = "公司地址")
    private String address;


    @ApiModelProperty(value = "公司法人")
    private String managerName;

    @ApiModelProperty(value = "公司法人-联系电话")
    private String managerTelePhone;


    @ApiModelProperty(value = "公司法人-联系手机")
    private String managerMobilePhone;


    @ApiModelProperty(value = "公司法人-联系邮箱")
    private String manageEmail;

    @ApiModelProperty(value = "开户银行")
    private String bankName;


    @ApiModelProperty(value = "银行账户")
    private String bankAccount;

    @ApiModelProperty(value = "经营范围")
    private String businessscope;


}
