package com.xxh.cloud.basic.framework.modules.base.entity.vos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.tree.TreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class CompanyVO extends TreeNode<CompanyVO> {



    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "公司分类")
    private String type;


    @ApiModelProperty(value = "系统分类")
    private String sysType;

    @ApiModelProperty(value = "logo")
    private String logo;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "说明")
    private String remark;

    @ApiModelProperty(value = "扩展信息")
    private CompanyPropertyVO propertyJson;

    @ApiModelProperty(value = "创建者")
    private String creator;

    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    @ApiModelProperty(value = "更新者")
    private String updater;

    @ApiModelProperty(value = "更新时间")
    private Date updateDate;
}
