package com.xxh.cloud.basic.framework.modules.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.DictType;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.DictTypeAddDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.DictTypeListDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.DictTypeQueryDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.DictTypeUpdateDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.DictTypeTreeVO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.DictTypeVO;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.List;

/**
 * 字典类型 服务类
 */
public interface DictTypeService extends IService<DictType> {

    public PageData<DictTypeVO> query(DictTypeQueryDTO params);

    public List<DictTypeVO> list(DictTypeListDTO params);

    public DictTypeVO add(DictTypeAddDTO params);

    public DictTypeVO update(DictTypeUpdateDTO params);

    public void delById(String id);

    public DictTypeVO infoById(String id);

    public DictTypeVO info2NullById(String id);

    public List<DictTypeTreeVO> tree();

}
