package com.xxh.cloud.basic.framework.modules.biz.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.Params;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.ParamsVO;
import com.xxh.cloud.framework.common.param.constant.ParamTypeEnum;

import java.util.List;
import java.util.Map;

public class ParamsConvertHelper {

    public static ParamsVO getParamsVO(Params entity){
        ParamsVO data=new ParamsVO();
        BeanUtil.copyProperties(entity,data,"paramValue");
        return data;
    }


    public static ParamsVO getParamsVOFull(Params entity){
        ParamsVO data=new ParamsVO();
        BeanUtil.copyProperties(entity,data,"paramValue");
        if(StrUtil.isNotEmpty(entity.getParamValue())){
            if(ParamTypeEnum.BizParam.getCode().equals(entity.getParamType()) ||
                    ParamTypeEnum.SysParam.getCode().equals(entity.getParamType())){
                data.setParamValue(JSON.parseObject(entity.getParamValue(), Map.class));
            }else {
                data.setParamValueList(JSON.parseArray(entity.getParamValue(),Map.class));
            }
        }
        return data;
    }



}
