package com.xxh.cloud.basic.framework.modules.biz.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.ProjectInfo;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.ProjectVO;
import com.xxh.cloud.framework.common.param.bos.DataSourceConfigBO;

public class ProjectConvertHelper {

    public static ProjectVO getProjectVO(ProjectInfo entity){
        ProjectVO data=new ProjectVO();
        BeanUtil.copyProperties(entity,data,"dataPrivateKey","dataPublicKey","dataLinkConfig");
        return data;
    }

    public static ProjectVO getProjectVO2DS(ProjectInfo entity){
        ProjectVO data=getProjectVO(entity);
        if(StrUtil.isNotEmpty(entity.getDataLinkConfig())){
            data.setDataLinkConfig(JSON.parseObject(entity.getDataLinkConfig(), DataSourceConfigBO.class));
        }
        return data;
    }

    public static ProjectVO getProjectVO2DataKey(ProjectInfo entity){
        ProjectVO data=new ProjectVO();
        BeanUtil.copyProperties(entity,data,"dataLinkConfig");
        if(StrUtil.isNotEmpty(entity.getDataLinkConfig())){
            data.setDataLinkConfig(JSON.parseObject(entity.getDataLinkConfig(), DataSourceConfigBO.class));
        }
        return data;
    }


}
