package com.xxh.cloud.basic.framework.modules.biz.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xxh.cloud.basic.framework.modules.biz.entity.SiteMessageQueryBean;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

public interface SiteMessageBizMapper {

    @Select(" SELECT a.id as messageId ,a.title as messageTitle  ,a.type as messageType,a.params as messageParams," +
            " a.create_date as messageSendDate,a.creator as fromUserId ,b.id as id,b.to_user_id as toUserId," +
            " b.status as status,b.read_date as readDate FROM basic_site_message_info a " +
            " INNER JOIN basic_site_message_user_info b on (a.id =b.site_message_id) ${ew.customSqlSegment}" )
    public IPage<SiteMessageQueryBean> queryUserSiteMessage(Page<SiteMessageQueryBean> page, @Param(Constants.WRAPPER) QueryWrapper<SiteMessageQueryBean> wrapper);




}
