package com.xxh.cloud.basic.framework.modules.biz.service;

import com.xxh.cloud.basic.framework.modules.base.entity.dto.ParamsAddDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.ParamsListDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.ParamsQueryDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.ParamsUpdateDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.ParamsVO;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.List;

public interface ParamsBizService {

    public PageData<ParamsVO> query(ParamsQueryDTO params);

    public List<ParamsVO> list(ParamsListDTO params);

    public ParamsVO add(ParamsAddDTO params);

    public ParamsVO update(ParamsUpdateDTO params);

    public void delById(String id);

    public ParamsVO infoById(String id);

//    public ParamsVO info2NullById(String id);





}
