package com.xxh.cloud.basic.framework.modules.biz.service;

import com.xxh.cloud.basic.framework.modules.base.entity.dto.SiteMessageAddDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.SiteMessageQueryDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.SiteMessageVO;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.Set;

public interface SiteMessageBizService {

    public PageData<SiteMessageVO> query(SiteMessageQueryDTO params);

    public SiteMessageVO getById(String id);

    public void add(SiteMessageAddDTO params);

    public void updateReadStatus(String id);

    public void updateReadStatusBatch(Set<String> ids);

    public void delById(String id);

    public void delByIds(Set<String> ids);

}
