package com.xxh.cloud.basic.framework.modules.cache.helper;

import cn.hutool.core.util.StrUtil;

public class CacheBasicKeyHelper {



    /**
     * 机构
     * */
    public static String getCompanyCacheKeyPrefix(){
        return "sys:basic:company:*";
    }

    public static String getCompanyCacheKey(String id){
        return StrUtil.format("sys:basic:company:{}",id);
    }

    /**
     * 字典
     * */
    public static String getDictCacheKeyPrefix(){
        return "sys:basic:dict:*";
    }

    public static String getDictCacheKey(String id){
        return StrUtil.format("sys:basic:dict:{}",id);
    }

    /**
     *  参数
     * */
    public static String getParamsCacheKeyPrefix(){
        return "sys:basic:params:*";
    }

    public static String getParamsCacheKey(String id){
        return StrUtil.format("sys:basic:params:{}",id);
    }


    /**
     * 项目
     * */
    public static String getProjectCacheKeyPrefix(){
        return "sys:basic:project:*";
    }

    public static String getProjectCacheKey(String id){
        return StrUtil.format("sys:basic:project:{}",id);
    }


}
