package com.xxh.cloud.basic.framework.modules.constant;

import com.xxh.cloud.framework.common.constant.IBizBaseEnum;

/**
 * 站内信息取状态
 * */
public enum SiteMessageUserStatus implements IBizBaseEnum {

    Smu_None("none","未读"),
    Smu_Read("read","已读"),
    Smu_Delete("delete","删除"),

    ;
    private String code;
    private String name;

    private SiteMessageUserStatus() {
    }

    SiteMessageUserStatus(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }


}
