package com.xxh.cloud.basic.framework.modules.log.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 异常日志
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("basic_log_error")
public class LogError extends BaseEntity{

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 请求URI
     */
     @ApiModelProperty(value = "请求URI")
      private String requestUri;

    /**
     * 请求方式
     */
     @ApiModelProperty(value = "请求方式")
      private String requestMethod;

    /**
     * 请求参数
     */
     @ApiModelProperty(value = "请求参数")
      private String requestParams;

    /**
     * 用户代理
     */
     @ApiModelProperty(value = "用户代理")
      private String userAgent;

    /**
     * 异常信息
     */
     @ApiModelProperty(value = "异常信息")
      private String errorInfo;



}
