package com.xxh.cloud.basic.framework.modules.log.service;

import com.xxh.cloud.basic.framework.modules.log.entity.dos.LogError;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xxh.cloud.basic.framework.modules.log.entity.dto.LogErrorQueryDTO;
import com.xxh.cloud.basic.framework.modules.log.entity.vos.LogErrorVO;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.Collection;

/**
 * <p>
 * 异常日志 服务类
 * </p>
 */
public interface LogErrorService extends IService<LogError> {

    public PageData<LogErrorVO> query(LogErrorQueryDTO params);

    public void delById(String id);

    public void delByIds(Collection<String> ids);

    public LogErrorVO infoById(String id);

}
