package com.xxh.cloud.customer.application.controller;


import cn.dev33.satoken.annotation.SaIgnore;
import com.xxh.cloud.customer.framework.modules.login.entity.dto.CustomerUserLoginEmailDTO;
import com.xxh.cloud.customer.framework.modules.login.entity.vos.CustomerUserLoginVO;
import com.xxh.cloud.customer.framework.modules.login.service.CustomerUserLoginEmailService;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@SaIgnore
@RestController
@RequestMapping("/app/customer/email")
@Api(tags="客户端,客户邮箱登录")
public class CustomerUserLogin2EmailAppController {


    @Autowired
    private CustomerUserLoginEmailService customerUserLoginEmailService;

    @PostMapping("login")
    @ApiOperation("客户用户邮箱登录")
    public Result<CustomerUserLoginVO> login(@RequestBody CustomerUserLoginEmailDTO params) {
        ValidatorUtils.validateEntity(params);
        //todo:未开发
        return new Result<CustomerUserLoginVO>().ok(null);
    }




}
