package com.xxh.cloud.customer.client.api.bean.bos;

import java.util.Date;

public class MemberFamilyBO {

    /**数据id*/
    private String id;

    /**公司号*/
    private String companyNo;

    /**用户ID*/
    private String userId;

    /**家庭ID*/
    private String familyId;

    /**成员关系*/
    private String memberRelation;

    /**姓名*/
    private String name;

    /**手机号*/
    private String mobile;

    /**证件类型 1:二代身份证 2:港澳居民身份证 3:台湾居民身份证 4:护照*/
    private String cardType;

    /**证件号*/
    private String cardNo;

    /** 生日*/
    private String birthday;

    /**就诊人Id*/
    private String patientId;

    /**就诊人性别 F:女，M:男*/
    private String gender;

    /**就诊人门诊id(HIS)*/
    private String patHisNo;

    /**医院卡号id*/
    private String patCardNo;

    /**医院卡号类型 21:院内就诊卡 22:市民卡 23:医保卡*/
    private String patCardType;

    /**医院卡号类型名称*/
    private String patCardTypeName;

    /**与本人关系*/
    private String relationName;

    /**与本人关系 1:本人 2:配偶 3:父母 4:子女 5:他人*/
    private String relationType;

    /**患者类型 0:成人 1:儿童 2:妇女 3:老人*/
    private String patientType;

    /**患者类型名称*/
    private String patientTypeName;

    /**电子健康卡标识 0:无需绑定 1:需要升级 2:已有健康卡*/
    private String healthCardFlag;

    /**是否授权 YN*/
    private String isAuth;

    /**授权时间*/
    private Date authDate;

    /**用户的OPENID*/
    private String thirdUserId;

    /**用户的OPENID*/
    private String userOpenId;

    // 三方用户状态
    private String thirdUserStatus;

    // 患者主id
    private String mainPersonId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCompanyNo() {
        return companyNo;
    }

    public void setCompanyNo(String companyNo) {
        this.companyNo = companyNo;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getFamilyId() {
        return familyId;
    }

    public void setFamilyId(String familyId) {
        this.familyId = familyId;
    }

    public String getMemberRelation() {
        return memberRelation;
    }

    public void setMemberRelation(String memberRelation) {
        this.memberRelation = memberRelation;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getCardType() {
        return cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getPatHisNo() {
        return patHisNo;
    }

    public void setPatHisNo(String patHisNo) {
        this.patHisNo = patHisNo;
    }

    public String getPatCardNo() {
        return patCardNo;
    }

    public void setPatCardNo(String patCardNo) {
        this.patCardNo = patCardNo;
    }

    public String getPatCardType() {
        return patCardType;
    }

    public void setPatCardType(String patCardType) {
        this.patCardType = patCardType;
    }

    public String getPatCardTypeName() {
        return patCardTypeName;
    }

    public void setPatCardTypeName(String patCardTypeName) {
        this.patCardTypeName = patCardTypeName;
    }

    public String getRelationName() {
        return relationName;
    }

    public void setRelationName(String relationName) {
        this.relationName = relationName;
    }

    public String getRelationType() {
        return relationType;
    }

    public void setRelationType(String relationType) {
        this.relationType = relationType;
    }

    public String getPatientType() {
        return patientType;
    }

    public void setPatientType(String patientType) {
        this.patientType = patientType;
    }

    public String getPatientTypeName() {
        return patientTypeName;
    }

    public void setPatientTypeName(String patientTypeName) {
        this.patientTypeName = patientTypeName;
    }

    public String getHealthCardFlag() {
        return healthCardFlag;
    }

    public void setHealthCardFlag(String healthCardFlag) {
        this.healthCardFlag = healthCardFlag;
    }

    public String getIsAuth() {
        return isAuth;
    }

    public void setIsAuth(String isAuth) {
        this.isAuth = isAuth;
    }

    public Date getAuthDate() {
        return authDate;
    }

    public void setAuthDate(Date authDate) {
        this.authDate = authDate;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getThirdUserId() {
        return thirdUserId;
    }

    public void setThirdUserId(String thirdUserId) {
        this.thirdUserId = thirdUserId;
    }

    public String getUserOpenId() {
        return userOpenId;
    }

    public void setUserOpenId(String userOpenId) {
        this.userOpenId = userOpenId;
    }

    public String getThirdUserStatus() {
        return thirdUserStatus;
    }

    public void setThirdUserStatus(String thirdUserStatus) {
        this.thirdUserStatus = thirdUserStatus;
    }

    public String getMainPersonId() {
        return mainPersonId;
    }

    public void setMainPersonId(String mainPersonId) {
        this.mainPersonId = mainPersonId;
    }
    
}
