package com.xxh.cloud.customer.framework.modules.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xxh.cloud.customer.framework.modules.base.entity.CustomerUserInfo;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.CustomerUserVO;
import com.xxh.cloud.customer.framework.modules.biz.bean.dto.*;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.List;

/**
 * 客户用户信息表 服务类
 */
public interface CustomerUserInfoService extends IService<CustomerUserInfo> {


    public PageData<CustomerUserVO> query(UserCustomerQueryDTO params);

    public List<CustomerUserVO> list(UserCustomerListDTO params);

    public CustomerUserVO update(UserCustomerUpdateDTO params);

    public CustomerUserVO updateStatus(UserCustomerUpdateStatusDTO params);

    public CustomerUserVO updatePassword(UserCustomerUpdatePasswordDTO params);

    public CustomerUserVO updateMobile(UserCustomerUpdateMobileDTO params);

    public CustomerUserVO infoById(String id);

    public CustomerUserVO infoById(String id,boolean isDesensitized);

    public CustomerUserVO info2NullById(String id);

    public void delById(String id);


}
