package com.xxh.cloud.customer.framework.modules.biz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class MemberFamilyAuthDTO {

    @ApiModelProperty(value = "家庭成员id",required = true)
    @NotEmpty(message = "家庭成员id不能为空")
    private String familyMemberId;

    @ApiModelProperty(value = "授权码")
    private String authCode;

    @ApiModelProperty(value = "确认/取消授权 YN",required = true)
    @NotEmpty(message = "授权不能为空")
    private String isAuth;

    @ApiModelProperty(value = "与本人关系 1:本人 2:配偶 3:父母 4:子女 5:他人")
    private String relationType;

    @ApiModelProperty(value = "一级来源")
    private String sourceOne;

    @ApiModelProperty(value = "二级来源")
    private String sourceTwo;

    @ApiModelProperty(value = "三级来源")
    private String sourceThree;

}
