package com.xxh.cloud.customer.framework.modules.biz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
@Getter
@Setter
public class UserCustomerUpdatePasswordDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "旧密码",required = true)
    @NotEmpty(message = "旧密码不能为空")
    private String oldPassword;


    @ApiModelProperty(value = "新密码",required = true)
    @NotEmpty(message = "新密码不能为空")
    private String newPassword;

    private boolean isDesensitized;
}
