package com.xxh.cloud.customer.framework.modules.biz.bean.vos;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.Map;

@Getter
@Setter
public class CustomerUserVO {



    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "公司号")
    private String companyNo;


    @ApiModelProperty(value = "用户分类")
    private String type;


    @ApiModelProperty(value = "用户名")
    private String userName;



    @ApiModelProperty(value = "手机号")
    private String mobile;


    @ApiModelProperty(value = "邮箱")
    private String email;


    @ApiModelProperty(value = "昵称")
    private String nickName;


    @ApiModelProperty(value = "真实姓名")
    private String realName;


    @ApiModelProperty(value = "用户头像")
    private String headUrl;


    @ApiModelProperty(value = "一级来源")
    private String sourceOne;


    @ApiModelProperty(value = "二级来源")
    private String sourceTwo;


    @ApiModelProperty(value = "三级来源")
    private String sourceThree;


    @ApiModelProperty(value = "分享码")
    private String shareCode;


    @ApiModelProperty(value = "状态")
    private String status;


    @ApiModelProperty(value = "客户信息")
    private Map<String, Object> customerExtend;

    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;



}
