package com.xxh.cloud.log.framework.modules.biz.entity.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class OperationLogQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "用户ID")
    private String userId;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "模块分类")
    private String moduleType;

    @ApiModelProperty(value = "对象分类")
    private String objectType;

    @ApiModelProperty(value = "对象ID")
    private String objectId;

    @ApiModelProperty(value = "操作分类")
    private String opType;

    @ApiModelProperty(value = "操作时间From yyyy-MM-dd HH:mm:ss")
    private String opDateFrom;

    @ApiModelProperty(value = "操作时间To yyyy-MM-dd HH:mm:ss")
    private String opDateTo;

}
