package com.xxh.cloud.log.framework.modules.biz.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class TriggerTaskLogAddBatchDTO {


    @ApiModelProperty(value = "列表")
    @NotNull(message = "列表不能为空")
    private List<TriggerTaskLogAddBatchItem> items;


    public void addItem(TriggerTaskLogAddBatchItem item){
        if(this.items==null){
            this.items=new ArrayList<>();
        }
        if(item!=null){
            this.items.add(item);
        }
    }



}
