package com.xxh.cloud.log.framework.modules.biz.entity.vos;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class BrowseLogInfoVO {



    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "用户ID")
    private String userId;


    @ApiModelProperty(value = "用户名")
    private String userName;


    @ApiModelProperty(value = "模块名称")
    @TableField("module_Name")
    private String moduleName;


    @ApiModelProperty(value = "功能名称")
    private String opName;


    @ApiModelProperty(value = "操作IP")
    private String opIp;


    @ApiModelProperty(value = "操作IP城市")
    private String opIpCity;


    @ApiModelProperty(value = "操作时间")
    private Date opDate;


    @ApiModelProperty(value = "请求URI")
    private String reqUri;


    @ApiModelProperty(value = "请求方式")
    private String reqMethod;


    @ApiModelProperty(value = "请求参数")
    private String reqParams;


    @ApiModelProperty(value = "请求时长(毫秒)")
    private Integer reqTime;


    @ApiModelProperty(value = "用户代理")
    private String reqUserAgent;


    @ApiModelProperty(value = "平台设备")
    private String reqPlatform;


    @ApiModelProperty(value = "请求返回状态")
    private String status;



    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;

    //=================================================





}
