package com.xxh.cloud.log.framework.modules.biz.entity.vos;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class ErrorLogInfoVO {



    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "用户ID")
    private String userId;


    @ApiModelProperty(value = "用户名")
    private String userName;


    @ApiModelProperty(value = "日志日期")
    private Date logDate;


    @ApiModelProperty(value = "异常类")
    private String errorClazz;


    @ApiModelProperty(value = "异常方法")
    private String errorMethod;


    @ApiModelProperty(value = "异常信息")
    private String errorInfo;


    @ApiModelProperty(value = "请求参数")
    private String reqParams;


    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;


    //===========================================



}
