package com.xxh.cloud.log.framework.modules.biz.service;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.log.framework.modules.biz.entity.dto.*;
import com.xxh.cloud.log.framework.modules.biz.entity.vos.BrowseLogInfoVO;
import com.xxh.cloud.log.framework.modules.biz.entity.vos.ErrorLogInfoVO;

import java.util.List;

public interface ErrorLogInfoBizService {

    public PageData<ErrorLogInfoVO> query(ErrorLogQueryDTO params);

    public void add(ErrorLogAddDTO params);

    public void addBatch(ErrorLogAddBatchDTO params);

    public ErrorLogInfoVO get(String id);

    public void del(String id);

    public void delBatch(List<String> ids);



}
