package com.xxh.cloud.log.bean.constant;

import com.xxh.cloud.framework.common.constant.IBizBaseEnum;

/**
 * 用户登录登出分类
 * */
public enum LogLoginOutTypeEnum implements IBizBaseEnum {

    LL_Login("login","登录"),
    LL_Logout("logout","登出"),
    ;
    private String code;
    private String name;

    private LogLoginOutTypeEnum() {
    }

    LogLoginOutTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }



}
