package com.xxh.cloud.log.bean.constant;

import com.xxh.cloud.framework.common.constant.IBizBaseEnum;

/**
 * 模块分类
 * */
public enum ModuleTypeEnum implements IBizBaseEnum {


    MT_User("user","用户模块"),
    MT_Cust("cust","客户模块"),
    MT_Basic("basic","基础模块"),
    MT_File("file","文件模块"),
    MT_Metadata("metadata","标准数据模块"),
    MT_Rule("rule","规则模块"),
    MT_DataLabel("dataLabel","数据标签引擎模块"),



    ;
    private String code;
    private String name;

    private ModuleTypeEnum() {
    }

    ModuleTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }


}
