package com.xxh.cloud.store.framework.modules.base.entity.vo;

import com.xxh.cloud.store.framework.modules.base.entity.dos.StoreFileInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class OssModel {

	@ApiModelProperty(value = "文件编号")
	private String fileNo;
	
	@ApiModelProperty(value = "文件名")
	private String fileName;
	
	@ApiModelProperty(value = "文件URL")
	private String fileUrl;

	public OssModel(StoreFileInfo storeFileInfo) {
		this.fileNo = storeFileInfo.getFileNo();
		this.fileName = storeFileInfo.getFileName();
		this.fileUrl = storeFileInfo.getFileUrl();
	}
	
}