package com.xxh.cloud.third.framework.modules.sms.asyncTask;

import com.xxh.cloud.third.framework.modules.sms.config.HisSmsConfig;
import com.xxh.cloud.third.framework.modules.sms.model.SmsRequestMessage;
import com.xxh.cloud.third.framework.modules.thirdHis.HisApiHelper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author: limj
 * @Date: 2023/11/15
 */
@Component
@Slf4j
public class AsyncTask {

    @Async
    public void sendHisSms(HisSmsConfig config, List<SmsRequestMessage> messages){
        HisApiHelper.sendHisSms(config,messages);
    }
}