package com.xxh.cloud.third.framework.modules.thirdWX.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Data
public class WxQrCodeCreateDTO {

    @ApiModelProperty(value = "accessToken",required = true)
    @NotEmpty(message = "accessToken不能为空")
    private String accessToken;

    @ApiModelProperty(value = "二维码参数",required = true)
    @NotEmpty(message = "二维码参数不能为空")
    private String qrcodeParams;

}