package com.xxh.cloud.third.framework.modules.thirdWX.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Data
public class WxQrCodeDTO {

    @ApiModelProperty(value = "第三方参数配置ID",required = true)
    @NotEmpty(message = "第三方参数配置ID不能为空")
    private String paramsId;

    @ApiModelProperty(value = "二维码参数",required = true)
    @NotEmpty(message = "二维码参数不能为空")
    private String qrcodeParams;

}