package com.xxh.cloud.user.client.api;

import com.xxh.cloud.user.client.api.bean.bos.DeptBO;
import com.xxh.cloud.user.client.api.bean.bos.RoleInfoBO;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface RoleInfoClientService {


    public RoleInfoBO getRoleById(String id);

    public List<RoleInfoBO> getRoleListByIds(Collection<String> ids);

    public Map<String, RoleInfoBO> getRoleMapByIds(Collection<String> ids);


    public List<RoleInfoBO> getRoleListByCompany(String companyNo);

    public Map<String, RoleInfoBO> getRoleMapByCompany(String companyNo);


}
