package com.xxh.cloud.user.framework.modules.base.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.user.framework.modules.base.entity.dto.DeptAddDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.DeptQueryPageDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.DeptSearchDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.DeptTreeDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.DeptUpdateDTO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.DeptVO;

import java.util.List;

public interface DeptBizService {



    public List<DeptVO> getTree(DeptTreeDTO params);


    public DeptVO add(DeptAddDTO params);

    public DeptVO update(DeptUpdateDTO params);

    public DeptVO infoById(String id);

//    public DeptVO info2NullById(String id);

//    public List<DeptVO> list(Collection<String> ids);

    public List<DeptVO> list(DeptSearchDTO params);

    public void delById(String id);


    public void addBatch(List<DeptAddDTO> params);

    public PageData<DeptVO> query(DeptQueryPageDTO params);

}
