package com.xxh.cloud.user.framework.modules.base.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.user.framework.modules.base.entity.dto.GroupInfoEditDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.GroupInfoQueryDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.GroupInfoSaveDTO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.GroupInfoVO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.UserVO;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface GroupInfoBizService {


    public PageData<GroupInfoVO> query(GroupInfoQueryDTO params);

    public GroupInfoVO add(GroupInfoSaveDTO params);

    public GroupInfoVO edit(GroupInfoEditDTO params);

    public void delById(String id);

    public GroupInfoVO infoById(String id);

    public GroupInfoVO info2NullById(String id);


    public List<GroupInfoVO> list(Collection<String> ids);



    public void addGroupUser(String id, List<String> userIds);

    public void removeGroupUser(String id, List<String> userIds);

    public List<UserVO> userListByGroup(String id);

    public Map<String, List<UserVO>> userListMapByGroup(Collection<String> ids);


}
