package com.xxh.cloud.user.framework.modules.base.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.user.framework.modules.base.entity.dto.PostInfoAddDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.PostInfoEditDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.PostInfoListDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.PostInfoQueryDTO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.PostInfoVO;

import java.util.Collection;
import java.util.List;

public interface PostInfoBizService {



    public PageData<PostInfoVO> query(PostInfoQueryDTO params);


    public List<PostInfoVO> list(PostInfoListDTO params);

    public PostInfoVO add(PostInfoAddDTO params);

    public PostInfoVO edit(PostInfoEditDTO params);

    public PostInfoVO infoById(String id);

//    @Deprecated
//    public PostInfoVO info2NullById(String id);

    public void delById(String id);

//    @Deprecated
//    public List<PostInfoVO> list(Collection<String> ids);
//


}
