package com.xxh.cloud.user.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 角色菜单关系表
 * </p>
 */
@Data
@TableName("sys_role_menu")
public class RoleMenu implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;



    /**
     * 角色ID
     */
     @ApiModelProperty(value = "角色ID")
      private String roleId;

    /**
     * 菜单ID
     */
     @ApiModelProperty(value = "菜单ID")
      private String menuId;



}
