package com.xxh.cloud.user.framework.modules.base.entity.vos;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.tree.TreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Getter
@Setter
public class MenuVO extends TreeNode<MenuVO> {


    @ApiModelProperty(value = "类型")
    private String type;


    @ApiModelProperty(value = "名称")
    private String name;


    @ApiModelProperty(value = "菜单图标")
    private String icon;



    @ApiModelProperty(value = "菜单路由分类")
    private String routeType;


    @ApiModelProperty(value = "菜单URL")
    private String url;


    @ApiModelProperty(value = "排序")
    private Integer sort;


    @ApiModelProperty(value = "授权")
    private List<String> permissions;


    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;


    //==============================================
    @ApiModelProperty("角色是否选中")
    private String roleCheck;



}
