package com.xxh.cloud.user.framework.modules.login.service;

import com.xxh.cloud.user.framework.modules.base.entity.dto.MenuSearchDTO;
import com.xxh.cloud.user.framework.modules.base.entity.dto.UserMenuSearchDTO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.MenuVO;

import java.util.List;
import java.util.Set;

public interface UserPermissionService {

    /**
     *  用户权限列表
     * */
    public Set<String> getPermissionListByUser(String userId);

    /**
     *  用户菜单树
     * */
    public List<MenuVO> getMenuTreeByUser(String userId);

    /**
     *  用户菜单列表
     * */
    public List<MenuVO> getMenuList(String userId, UserMenuSearchDTO params);
}
