package com.xxh.cloud.basic.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 公告信息表
 * </p>
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("basic_notice_info")
public class NoticeInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 标题
     */
     @ApiModelProperty(value = "标题")
      private String title;

    /**
     * 内容
     */
     @ApiModelProperty(value = "内容")
      private String content;

    /**
     * 公告通知用户Ids
     */
     @ApiModelProperty(value = "公告通知用户Ids")
      private String toUserIds;

    /**
     * 附件
     */
     @ApiModelProperty(value = "附件")
      private String files;

    /**
     * 状态
     */
     @ApiModelProperty(value = "状态")
      private String status;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;




}
