package com.xxh.cloud.basic.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * 系统参数表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("basic_params")
public class Params extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
     private String id;


    /**
     * 参数分类
     */
    @ApiModelProperty(value = "参数分类")
    private String paramType;


    /**
     * 参数值分类
     */
     @ApiModelProperty(value = "参数值分类")
      private String paramValueType;

    /**
     * 参数值
     */
     @ApiModelProperty(value = "参数值")
      private String paramValue;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;



}
