package com.xxh.cloud.basic.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 站内消息发送人表
 * </p>
 */
@Data
@TableName("basic_site_message_user_info")
public class SiteMessageUserInfo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 站内消息ID
     */
     @ApiModelProperty(value = "站内消息ID")
      private String siteMessageId;

    /**
     * 消息接受人
     */
     @ApiModelProperty(value = "消息接受人")
      private String toUserId;

    /**
     * 消息状态
     */
     @ApiModelProperty(value = "消息状态")
      private String status;

    /**
     * 信息读取时间
     */
     @ApiModelProperty(value = "信息读取时间")
      private Date readDate;


}
