package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import com.xxh.cloud.framework.common.constant.YN;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Map;

@Getter
@Setter
public class PageInfoEditDTO {

    @ApiModelProperty(value = "页面code",required = true)
    @NotEmpty(message = "页面code不能为空")
    private String code;

    @ApiModelProperty(value = "页面名称",required = true)
    @NotEmpty(message = "页面名称不能为空")
    private String name;

    @ApiModelProperty(value = "页面数据",required = true)
    @NotNull(message = "页面数据不能为空")
    private Map<String,Object> pageData;

    @ApiModelProperty(value = "页面状态")
    private String pageState = YN.YES.getCode();

}
