package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import cn.hutool.core.util.StrUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

@Getter
@Setter
public class ParamsListDTO {

    @ApiModelProperty(value = "参数编码")
    private String id;

    @ApiModelProperty(value = "参数编码")
    private Collection<String> ids;

    @ApiModelProperty(value = "参数分类")
    private String paramType;


    @ApiModelProperty(value = "参数值分类")
    private String paramValueType;

    @ApiModelProperty(value = "参数值分类(ParamValTypeEnum)")
    private List<String> paramValueTypeList;



    public void addParamValueType(String item){
        if(this.paramValueTypeList==null){
            this.paramValueTypeList=new ArrayList<>();
        }
        if(StrUtil.isNotEmpty(item)){
            this.paramValueTypeList.add(item);
        }
    }


}
