package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.Map;

@Getter
@Setter
public class ParamsUpdateDTO {

    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;


    @ApiModelProperty(value = "参数值分类(ParamValTypeEnum)",required = true)
    @NotEmpty(message = "业务类型不能为空")
    private String paramValueType;


    @ApiModelProperty(value = "参数值")
    private Map<String,Object> paramValue;
}
