package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import com.xxh.cloud.framework.common.param.bos.DataSourceConfigBO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class ProjectInfoAddDTO {

    @ApiModelProperty(value = "项目编号",required = true)
    @NotEmpty(message = "项目编号不能为空")
    private String code;


    @ApiModelProperty(value = "项目名称",required = true)
    @NotEmpty(message = "项目名称不能为空")
    private String name;


    @ApiModelProperty(value = "状态(YN)",required = true)
    @NotEmpty(message = "状态不能为空")
    private String status;


    @ApiModelProperty(value = "是否默认(YN)",required = true)
    @NotEmpty(message = "是否默认不能为空")
    private String isDef;


    @ApiModelProperty(value = "负责人")
    private String director;


    @ApiModelProperty(value = "描述")
    private String remark;


    @ApiModelProperty(value = "数据连接配置")
    private DataSourceConfigBO dataLinkConfig;


//    @ApiModelProperty(value = "加密私钥")
//    private String dataPrivateKey;
//
//
//    @ApiModelProperty(value = "加密公钥")
//    private String dataPublicKey;


}
