package com.xxh.cloud.basic.framework.modules.base.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;
import java.util.Set;

@Getter
@Setter
public class SiteMessageAddDTO {

    @ApiModelProperty(value = "信息分类")
    private String type;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "消息参数")
    private Map<String,Object> params;

    @ApiModelProperty(value = "发送人",required = true)
    private Set<String> toUserIds;
}
