package com.xxh.cloud.basic.framework.modules.base.entity.vos;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Getter
@Setter
public class ParamsVO {


    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "参数分类")
    private String paramType;

    @ApiModelProperty(value = "参数值分类")
    private String paramValueType;

    @ApiModelProperty(value = "参数值")
    private Map<String,Object> paramValue;

    @ApiModelProperty(value = "参数值")
    private List<Map> paramValueList;


    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;




}
