package com.xxh.cloud.basic.framework.modules.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xxh.cloud.basic.framework.modules.base.entity.dos.DictData;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.DictDataAdd2UpdateBatchDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.DictDataAddDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.DictDataListDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.DictDataUpdateDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.DictDataVO;

import java.util.List;

/**
 * 字典数据表 服务类
 */
public interface DictDataService extends IService<DictData> {



    public List<DictDataVO> list(DictDataListDTO params);

    public DictDataVO add(DictDataAddDTO params);

    public DictDataVO update(DictDataUpdateDTO params);

    public void save2updateBatch(DictDataAdd2UpdateBatchDTO params);

    public DictDataVO infoById(String id);
    public void delById(String id);



}
