package com.xxh.cloud.basic.framework.modules.biz.service;

import com.xxh.cloud.basic.framework.modules.base.entity.dto.NoticeAddDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.NoticeEditDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.NoticeQueryDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.dto.NoticeUpdateStatusDTO;
import com.xxh.cloud.basic.framework.modules.base.entity.vos.NoticeVO;
import com.xxh.cloud.framework.common.page.PageData;

public interface NoticeBizService {

    public PageData<NoticeVO> query(NoticeQueryDTO params);

    public PageData<NoticeVO> queryByAdmin(NoticeQueryDTO params);

    public NoticeVO add(NoticeAddDTO params);

    public void edit(NoticeEditDTO params);

    public void updateStatus(NoticeUpdateStatusDTO params);

    public void delById(String id);

    public NoticeVO getById(String id);
}
