package com.xxh.cloud.basic.framework.modules.constant;

import com.xxh.cloud.framework.common.constant.IBizBaseEnum;

/**
 * 字典类型分类
 * */
public enum DictTypeCategory implements IBizBaseEnum {


    Sys_Dict("sys","系统字典"),
    Biz_Dict("biz","业务字典"),

    User_Dict("user","用户字典"),

    Meta_Dict("meta","标准数据字典"),

    Rule_Dict("rule","规则字典"),

    Rule_DWD("dwdwd","数仓DWD层字典"),

    Rule_ODS("dwods","数仓ODS层字典"),


    ;
    private String code;
    private String name;

    private DictTypeCategory() {
    }

    DictTypeCategory(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }


}
