package com.xxh.cloud.basic.framework.modules.log.service.impl;

import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.basic.framework.modules.log.entity.dos.LogOperation;
import com.xxh.cloud.basic.framework.modules.log.entity.dto.LogOperationQueryDTO;
import com.xxh.cloud.basic.framework.modules.log.entity.dto.LogOperationSaveDTO;
import com.xxh.cloud.basic.framework.modules.log.entity.vos.LogOperationVO;
import com.xxh.cloud.basic.framework.modules.log.mapper.LogOperationMapper;
import com.xxh.cloud.basic.framework.modules.log.service.LogOperationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xxh.cloud.framework.common.page.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collection;

/**
 * 操作日志 服务实现类
 */
@Service
public class LogOperationServiceImpl extends ServiceImpl<LogOperationMapper, LogOperation> implements LogOperationService {

    @Override
    public PageData<LogOperationVO> query(LogOperationQueryDTO params) {
        return null;
    }

    @Override
    public void delById(String id) {

    }

    @Override
    public void delByIds(Collection<String> ids) {

    }

    @Override
    public LogOperationVO infoById(String id) {
        return null;
    }

    @Override
    public void saveLog(LogOperationSaveDTO params) {
        LogOperation entity = new LogOperation();
        entity.setId(IdUtil.getSnowflake(2,4).nextIdStr());
        entity.setOperation(params.getOperation());
        entity.setStatus(params.getStatus());
        entity.setUserId(params.getUserId());
        entity.setUserAgent(params.getUserAgent());
        entity.setUserName(params.getUserName());
        entity.setOpIp(params.getOpIp());
        this.save(entity);
    }
}
