package com.xxh.cloud.customer.client.api;


import com.xxh.cloud.customer.client.api.bean.bos.MemberFamilyBO;
import com.xxh.cloud.customer.client.api.bean.dto.MemberFamilyListClientDTO;

import java.util.List;

public interface CustomerFamilyClientService {

    /** 查询用户家庭成员列表 */
    public List<MemberFamilyBO> listByUser(MemberFamilyListClientDTO dto);

    /** 查询选中的家庭成员 */
    public MemberFamilyBO getChoose(String userId);

    /** 根据家庭成员id查信息 */
    public MemberFamilyBO getById(String familyMemberId);
    
    /** 根据家庭成员id更新本人关系 */
    public void updateSelfRelationByIds(List<String> familyMemberIds);
}
