package com.xxh.cloud.customer.framework.modules.biz.bean.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Collection;

@Getter
@Setter
public class AddressQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "用户ID")
    private String userId;

    @ApiModelProperty(value = "公司号")
    private String companyNo;

    @ApiModelProperty(value = "详细地址")
    private String addr;

    @ApiModelProperty(value = "是否默认地址")
    private String isDef;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "ids")
    private Collection<String> ids;
}
