package com.xxh.cloud.customer.framework.modules.biz.bean.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.Map;

@Getter
@Setter
public class UserCustomerUpdateDTO {


    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;


    @ApiModelProperty(value = "昵称")
    private String nickName;

    @ApiModelProperty(value = "真实姓名")
    private String realName;

    @ApiModelProperty(value = "用户头像")
    private String headUrl;

    @ApiModelProperty(value = "客户信息")
    private Map<String, Object> customerExtend;

//    @ApiModelProperty(value = "一级来源")
//    private String sourceOne;
//
//    @ApiModelProperty(value = "二级来源")
//    private String sourceTwo;
//
//    @ApiModelProperty(value = "三级来源")
//    private String sourceThree;

    private boolean isDesensitized;



}
