package com.xxh.cloud.customer.framework.modules.biz.bean.vos;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class AddressVO {


    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "公司号")
    private String companyNo;


    @ApiModelProperty(value = "用户ID")
    private String userId;


    @ApiModelProperty(value = "省")
    private String province;


    @ApiModelProperty(value = "市")
    private String city;


    @ApiModelProperty(value = "区")
    private String region;


    @ApiModelProperty(value = "街道")
    private String street;


    @ApiModelProperty(value = "详细地址")
    private String addr;


    @ApiModelProperty(value = "联系人名称")
    private String linkManName;


    @ApiModelProperty(value = "联系人电话")
    private String linkManTel;


    @ApiModelProperty(value = "联系人手机")
    private String linkManMobile;


    @ApiModelProperty(value = "是否默认地址")
    private String isDef;


    @ApiModelProperty(value = "经纬度类型")
    private String llType;


    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;


    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;

    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;


    //================================
    @ApiModelProperty(value = "公司名称")
    private String companyName;

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    @ApiModelProperty("创建者姓名")
    private String creatorName;

    @ApiModelProperty("更新者姓名")
    private String updaterName;



}
