package com.xxh.cloud.customer.framework.modules.biz.service;

import com.xxh.cloud.customer.framework.modules.biz.bean.dto.*;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.MemberFamilyVO;
import com.xxh.cloud.framework.common.user.LoginUser;

import java.util.List;

public interface CustomerFamilyMemberBizService {


    public List<MemberFamilyVO> list(MemberFamilyListDTO params);

    public List<MemberFamilyVO> listWithOpenid(List<MemberFamilyVO> vos);

    public MemberFamilyVO add(MemberFamilyAddDTO params);

    public void addBatch(List<MemberFamilyAddDTO> params);

    public MemberFamilyVO update(MemberFamilyUpdateDTO params);

    public MemberFamilyVO infoById(String id);

    public void delById(String id);

    // 调用his系统获取家庭成员
    public void addFromHis(LoginUser loginUser);

    // 发送家人授权验证码
    public void sendAuthCode(LoginUser loginUser, MemberFamilyAuthSmsDTO params);

    // 选择家庭成员
    public void choose(LoginUser loginUser, MemberFamilyInfoDTO params);

    // 查询选择的家庭成员
    public MemberFamilyVO getChoose(String userId);

    // 查询选择的家庭成员
    public void updateSelfRelationByIds(List<String> familyMemberIds);
    
    public void unbindById(String id);

}
