package com.xxh.cloud.customer.framework.modules.constant;

import com.xxh.cloud.framework.common.constant.IBizBaseEnum;

public enum RelationTypeEnum implements IBizBaseEnum {

    self("1","本人"),
    spouse("2","配偶"),
    parents("3","父母"),
    children("4","子女"),
    other("5","他人"),
        ;
        private String code;
        private String name;

     private RelationTypeEnum() {

        }

         RelationTypeEnum(String code, String name) {
            this.code = code;
            this.name = name;
        }

        @Override
        public String getCode() {
            return code;
        }

        @Override
        public String getName() {
            return name;
        }

    public static RelationTypeEnum getEnabledEnum(String code){
        RelationTypeEnum data= EnumUtils.getBaseCodeEnum(RelationTypeEnum.class,code);
        return data;
    }
}
