package com.xxh.cloud.customer.framework.modules.login.entity.vos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class CustomerUserLoginVO {


    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "公司号")
    private String companyNo;

    @ApiModelProperty(value = "用户分类")
    private String type;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "昵称")
    private String nickName;

    @ApiModelProperty(value = "真实姓名")
    private String realName;

    @ApiModelProperty(value = "用户头像")
    private String headUrl;

    @ApiModelProperty(value = "一级来源")
    private String sourceOne;

    @ApiModelProperty(value = "二级来源")
    private String sourceTwo;

    @ApiModelProperty(value = "三级来源")
    private String sourceThree;

    @ApiModelProperty(value = "分享码")
    private String shareCode;

    @ApiModelProperty(value = "状态")
    private String status;



    //======================================
    @ApiModelProperty(value = "thirdId")
    private String thirdId;

    @ApiModelProperty(value = "第三方参数配置ID")
    private String thirdParamsId;


    @ApiModelProperty(value = "第三方OpenId")
    private String thirdOpenId;

    @ApiModelProperty(value = "第三方UnionId")
    private String thirdUnionId;
    //=======================================

    @ApiModelProperty(value = "令牌")
    private String token;

}
