package com.xxh.cloud.customer.framework.modules.register.service;

import com.xxh.cloud.customer.framework.modules.base.entity.CustomerThirdUserInfo;
import com.xxh.cloud.customer.framework.modules.base.entity.CustomerUserInfo;
import com.xxh.cloud.customer.framework.modules.biz.bean.vos.CustomerUserVO;
import com.xxh.cloud.customer.framework.modules.register.entity.dto.CustomerUserRegisterMobileDTO;

public interface CustomerUserRegisterMobileService {

    public CustomerUserVO registerByMobile(CustomerUserRegisterMobileDTO params);


    /**
     * 内部注册，其它接口业务内调用注册
     * */
    public CustomerUserInfo innerRegisterByMobile(CustomerUserRegisterMobileDTO params);

    /**
     * 内部注册，三方业务绑定接口调用注册
     * */
    public CustomerUserInfo innerRegister2MobileByThird(String mobile,CustomerThirdUserInfo  params);


}
