package com.xxh.cloud.log.framework.modules.biz.entity.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class BrowseLogQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "模块名称")
    private String moduleName;

    @ApiModelProperty(value = "功能名称")
    private String opName;

    @ApiModelProperty(value = "操作IP")
    private String opIp;

    @ApiModelProperty(value = "操作时间From yyyy-MM-dd HH:mm:ss")
    private String opDateFrom;

    @ApiModelProperty(value = "操作时间To yyyy-MM-dd HH:mm:ss")
    private String opDateTo;

}
