package com.xxh.cloud.log.framework.modules.biz.entity.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ErrorLogQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "用户ID")
    private String userId;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "异常类")
    private String errorClazz;

    @ApiModelProperty(value = "异常方法")
    private String errorMethod;

    @ApiModelProperty(value = "日志日期From yyyy-MM-dd HH:mm:ss")
    private String logDateFrom;

    @ApiModelProperty(value = "日志日期To yyyy-MM-dd HH:mm:ss")
    private String logDateTo;
}
