package com.xxh.cloud.log.framework.modules.biz.entity.dto;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class LoginLogAddDTO {

    /**
     * 用户ID
     */
     @ApiModelProperty(value = "用户ID")
      private String userId;

    /**
     * 用户名
     */
     @ApiModelProperty(value = "用户名")
      private String userName;

    /**
     * 用户操作分类(登录 退出)
     */
     @ApiModelProperty(value = "用户操作分类(登录 退出)")
      private String opType;

    /**
     * 用户操作方式
     */
     @ApiModelProperty(value = "用户操作方式")
      private String opWay;

    /**
     * 操作IP
     */
     @ApiModelProperty(value = "操作IP")
      private String opIp;

    /**
     * 用户代理
     */
     @ApiModelProperty(value = "用户代理")
      private String opUserAgent;

    /**
     * 平台设备
     */
     @ApiModelProperty(value = "平台设备")
      private String opPlatform;

}
