package com.xxh.cloud.log.framework.modules.biz.entity.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;

public class LoginLogQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "用户ID")
    private String userId;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "用户操作分类(登录 退出)")
    private String opType;

    @ApiModelProperty(value = "操作IP")
    private String opIp;

    @ApiModelProperty(value = "操作时间From yyyy-MM-dd HH:mm:ss")
    private String createDateFrom;

    @ApiModelProperty(value = "操作时间To yyyy-MM-dd HH:mm:ss")
    private String createDateTo;
}
