package com.xxh.cloud.log.bean.dto;


import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.log.bean.constant.ModuleTypeEnum;
import com.xxh.cloud.log.bean.constant.ObjectTypeEnum;
import com.xxh.cloud.log.bean.constant.OperationTypeEnum;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class OpLogGenDTO {

    private String userId;

    private String userName;

    private String moduleType;

    private String objectType;

    private String objectId;

    private Date opDate;

    private String opType;

    private String remark;
    private Map<String,Object> extend;

    public OpLogGenDTO(){

    }


    public OpLogGenDTO(String userId, String userName, Date opDate,String opType, String moduleType, String objectType, String objectId, Map<String,Object> extend){
            this.userId=userId;
            this.userName=userName;
            this.opDate=opDate;
            this.opType=opType;
            this.moduleType=moduleType;
            this.objectType=objectType;
            this.objectId=objectId;
            this.extend=extend;
    }



    public void addExtend(String key,Object val){
        if(this.extend==null){
            this.extend=new HashMap<>();
        }
        if(StrUtil.isNotEmpty(key) && val!=null){
            this.extend.put(key,val);
        }
    }


    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getModuleType() {
        return moduleType;
    }

    public void setModuleType(String moduleType) {
        this.moduleType = moduleType;
    }

    public String getObjectType() {
        return objectType;
    }

    public void setObjectType(String objectType) {
        this.objectType = objectType;
    }

    public String getObjectId() {
        return objectId;
    }

    public void setObjectId(String objectId) {
        this.objectId = objectId;
    }

    public Date getOpDate() {
        return opDate;
    }

    public void setOpDate(Date opDate) {
        this.opDate = opDate;
    }

    public String getOpType() {
        return opType;
    }

    public void setOpType(String opType) {
        this.opType = opType;
    }

    public Map<String, Object> getExtend() {
        return extend;
    }

    public void setExtend(Map<String, Object> extend) {
        this.extend = extend;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
