package com.xxh.cloud.store.framework.modules.base.entity.dto;

import com.xxh.cloud.framework.common.constant.YN;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.Set;

@Getter
@Setter
public class OssCallbackSignParam {


    @ApiModelProperty(value = "图片缩放的宽度(px)")
    private Set<Integer> resizeWidht;

    @ApiModelProperty(value = "图片质量变换[1-100(有效)]")
    private int quality=0;

    @ApiModelProperty(value = "是否上传图片(YN)",required = true)
    @NotEmpty(message = "是否上传图片不能为空")
    private String isImg= YN.NO.getCode();

    @ApiModelProperty(value = "bucket类型 1公有读,2私有读")
    private String bucketType = "1";
}
