package com.xxh.cloud.store.framework.modules.base.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xxh.cloud.store.framework.modules.base.entity.dos.StoreFileInfo;
import com.xxh.cloud.store.framework.modules.base.entity.dto.StoreFileDTO;
import com.xxh.cloud.store.framework.modules.base.mapper.StoreFileInfoMapper;
import com.xxh.cloud.store.framework.modules.base.service.StoreFileInfoService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 文件资源表 服务实现类
 * </p>
 *
 * @author limengjie
 * @since 2023-07-03
 */
@Service
public class StoreFileInfoServiceImpl extends ServiceImpl<StoreFileInfoMapper, StoreFileInfo> implements StoreFileInfoService {

    @Override
    public StoreFileInfo add(StoreFileDTO params) {
        StoreFileInfo entity = new StoreFileInfo();
        BeanUtil.copyProperties(params, entity);
        this.save(entity);
        return entity;
    }
}
