package com.xxh.cloud.third.framework.modules.sms.model;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: limj
 * @Date: 2023/11/13
 */
@Data
@XStreamAlias("MSSEAGE")
@AllArgsConstructor
@NoArgsConstructor
public class SmsRequestMessage {

    @XStreamAlias("Mobile")
    @ApiModelProperty("手机号码")
    private String mobile;

    @XStreamAlias("Notice")
    @ApiModelProperty("推送内容")
    private String notice;

}
