//package com.xxh.cloud.third.framework.modules.thirdHis;
//
//import com.thoughtworks.xstream.annotations.XStreamAlias;
//import lombok.AllArgsConstructor;
//import lombok.Data;
//import lombok.NoArgsConstructor;
//
//public class XmlTestMain {
//    public static void main(String[] args) {
//        // 1. 普通bean与Xml互转
//        User user = new User("貂蝉", 18, "女");
//        System.out.println("============普通bean转Xml===============");
//        String xml = XStreamXmlBeanUtil.toXml(user);
//        System.out.println(xml);
//        System.out.println("============Xml转普通bean===============");
//        System.out.println(XStreamXmlBeanUtil.fromXml(xml, User.class));
//
//        // 2. 继承bean与Xml互转
//        Child child = new Child("吃糖葫芦");
//        child.setName("葫芦娃");
//        child.setAge(2);
//        child.setGender("男");
//        child.setHobby("打游戏");
//
//        System.out.println("============继承bean转Xml===============");
//        xml = XStreamXmlBeanUtil.toXml(child);
//        System.out.println(xml);
//        System.out.println("============Xml转继承bean====");
//        // 生成的Xml仅有Child的属性hobby，但转后后的Child对象，父属性都是有值的；
//        System.out.println(XStreamXmlBeanUtil.fromXml(xml, Child.class));
//        System.out.println("============Xml转继承bean，测试转换后，父属性、自身属性是否有值====");
//        Child c2 = XStreamXmlBeanUtil.fromXml(xml, Child.class);
//        System.out.println( "11111==" + c2.getName() + c2.getGender() + c2.getHobby());
//
//        // 输出内容如下：
//        //        ============普通bean转Xml===============
//        //        <Women>
//        //          <name>貂蝉</name>
//        //          <age>18</age>
//        //          <gender>女</gender>
//        //        </Women>
//        //        ============Xml转普通bean===============
//        //        XmlTest.User(name=貂蝉, age=18, gender=女)
//        //        ============继承bean转Xml===============
//        //        <User>
//        //          <name>葫芦娃</name>
//        //          <age>2</age>
//        //          <gender>男</gender>
//        //          <hobby>打游戏</hobby>
//        //        </User>
//        //        ============Xml转继承bean====
//        //        XmlTest.Child(hobby=打游戏)
//        //        11111==葫芦娃男打游戏
//    }
//}
//
//@Data
//@NoArgsConstructor
//@AllArgsConstructor
//@XStreamAlias("Women")
//class User {
//    private String name;
//    private int age;
//    private String gender;
//}
//
//@NoArgsConstructor
//@AllArgsConstructor
//@Data
//@XStreamAlias("User")
//class Child extends User {
//    private String hobby;
//}
