package com.xxh.cloud.third.framework.modules.thirdWX.helper;

import com.alibaba.fastjson2.JSON;
import com.company.cloud.sdk.weixin.mini.model.Code2SessionResp;
import com.company.cloud.sdk.weixin.mp.WxMpApi1;
import com.company.cloud.sdk.weixin.mp.model.*;
import com.company.cloud.sdk.weixin.mp.model.usermanage.UserBasicInfoResp;
import com.company.cloud.wx.sdk.work.inner.model.Code2TicketResp;
import com.xxh.cloud.third.framework.modules.thirdUnifyUser.entity.bos.ThirdUnifyUserLoginBO;

public class ThirdUserLoginWeixinConvert {

    public static ThirdUnifyUserLoginBO getThirdUnifyUserLoginBO(Code2SessionResp entity){
        ThirdUnifyUserLoginBO data=new ThirdUnifyUserLoginBO();
        data.setOpenid(entity.getOpenid());
        data.setUnionid(entity.getUnionid());
//        data.setSessionKey(entity.getSession_key());
        return data;
    }


    public static ThirdUnifyUserLoginBO getThirdUnifyUserLoginBO(Code2AccessTokenResp entity, UserBasicInfoResp userBasicInfoResp){
        ThirdUnifyUserLoginBO data=new ThirdUnifyUserLoginBO();
        data.setOpenid(entity.getOpenid());
        data.setScope(entity.getScope());
        data.setUnionid(userBasicInfoResp.getUnionid());
        return data;
    }
    //

    public static ThirdUnifyUserLoginBO getThirdUnifyUserLoginBO(Code2TicketResp entity){
        ThirdUnifyUserLoginBO data=new ThirdUnifyUserLoginBO();
        data.setOpenid(entity.getUserid());
        return data;
    }


    public static void main(String[] args) {


//        Code2AccessTokenModel code2AccessTokenModel = new Code2AccessTokenModel();
//        code2AccessTokenModel.setAppid("wxbe14c70a4dcb3a0c");
//        code2AccessTokenModel.setSecret("a46036cbb80c1c5d7ce21a98b1041969");
//        code2AccessTokenModel.setCode("031YPxGa1vpq3G0IJ8Ia1kVLCU2YPxGW");
//        Code2AccessTokenResp resp = WxMpApi.code2Ticket(code2AccessTokenModel);
//



        AccessTokenModel param=new AccessTokenModel();
        param.setAppid("wxbe14c70a4dcb3a0c");
        param.setSecret("a46036cbb80c1c5d7ce21a98b1041969");
        AccessTokenResp resp= WxMpApi1.accessToken(param);
        System.out.println(JSON.toJSONString(resp));
    }


}
