package com.xxh.cloud.user.client.api;


import com.xxh.cloud.user.client.api.bean.bos.AdminUserBO;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 管理端-用户
 * */
public interface AdminUserClientService {

    public AdminUserBO getUserById(String id);

    public AdminUserBO getUserByUserName(String userName);

    public List<AdminUserBO> getUserListByIds(Collection<String> ids);

    public Map<String, AdminUserBO> getUserMapByIds(Collection<String> ids);

    public List<AdminUserBO> getUserListByDeptId(String deptId);
    
    public List<AdminUserBO> getUserListByDeptIds(List<String> deptIds);
}
