package com.xxh.cloud.user.framework.modules.base.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.user.framework.modules.base.entity.dto.*;
import com.xxh.cloud.user.framework.modules.base.entity.vos.RoleVO;

import java.util.List;
import java.util.Map;

public interface RoleBizService {


    public PageData<RoleVO> query(RoleQueryDTO params);

    public List<RoleVO> list(RoleListDTO params);

    @Deprecated
    public Map<String, RoleVO> roleMap(RoleListDTO params);

    public RoleVO add(RoleAddDTO params);

    public RoleVO update(RoleUpdateDTO params);

    public RoleVO infoById(String id);

    public void delById(String id);

    /**
     * 角色分配菜单
     * */
    public void updateMenu(RoleUpdateMenuDTO params);



}
