package com.xxh.cloud.user.framework.modules.base.helper;

import com.xxh.cloud.user.framework.modules.base.entity.dos.HisDeptInfo;
import com.xxh.cloud.user.framework.modules.base.entity.dos.HisDoctorInfo;
import com.xxh.cloud.user.framework.modules.base.entity.vos.HisDeptVO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.HisDoctorVO;

public class HisDataConvertHelper {

    public static HisDeptVO getHisDeptVO(HisDeptInfo entity) {
        if (null == entity) {
            return null;
        }
        HisDeptVO dept = new HisDeptVO();
        dept.setId(entity.getId());
        dept.setHospitalId(entity.getHospitalId());
        dept.setDeptId(entity.getDeptId());
        dept.setHisDeptId(entity.getHisDeptId());
        dept.setHisParentId(entity.getHisParentId());
        dept.setGradeCode(entity.getGradeCode());
        dept.setName(entity.getName());
        dept.setNamePinYin(entity.getNamePinYin());
        dept.setImgUrl(entity.getImgUrl());
        dept.setLocation(entity.getLocation());
        dept.setNotice(entity.getNotice());
        dept.setDescription(entity.getDescription());
        dept.setRemark(entity.getRemark());
        dept.setBranchName(entity.getBranchName());
        dept.setIsBranch(entity.getIsBranch());

        return dept;
    }

    public static HisDoctorVO getHisDoctorVO(HisDoctorInfo entity) {
        if (null == entity) {
            return null;
        }
        HisDoctorVO doctor = new HisDoctorVO();
        doctor.setId(entity.getId());
        doctor.setDoctorId(entity.getDoctorId());
        doctor.setHisDoctorId(entity.getHisDoctorId());
        doctor.setDoctorName(entity.getDoctorName());
        doctor.setGender(entity.getGender());
        doctor.setDeptName(entity.getDeptName());
        doctor.setHeadImg(entity.getHeadImg());
        doctor.setLevelId(entity.getLevelId());
        doctor.setLevelName(entity.getLevelName());
        doctor.setDescription(entity.getDescription());
        doctor.setExpert(entity.getExpert());
        doctor.setDeptId(entity.getDeptId());
        doctor.setSkill(entity.getSkill());
        doctor.setContactPhone(entity.getContactPhone());
        doctor.setHisDeptId(entity.getHisDeptId());
        
        return doctor;
    }
}
