package com.xxh.cloud.user.framework.modules.constant;

import com.xxh.cloud.framework.common.constant.IBizBaseEnum;
/**
 *  用户状态
 * */
public enum UserStatus implements IBizBaseEnum {

    US_Normal("normal","正常"),
    US_Freeze("freeze","冻结"),

    ;
    private String code;
    private String name;

    private UserStatus() {
    }

    UserStatus(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }

}
