package com.xxh.cloud.user.framework.modules.login.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class UserLoginThirdDTO {


    @ApiModelProperty(value = "第三方参数配置ID",required = true)
    @NotEmpty(message = "不能为空")
    private String paramsId;


    @ApiModelProperty(value = "CODE",required = true)
    @NotEmpty(message = "code不能为空")
    private String code;

    @ApiModelProperty(value = "跳转自定义参数")
    private String state;




    //=============================
    @ApiModelProperty(value = "公司号")
    private String companyNo;

    @ApiModelProperty(value = "用户分类")
    private String type;

    @ApiModelProperty(value = "昵称")
    private String nickName;

    @ApiModelProperty(value = "用户头像")
    private String headUrl;

    @ApiModelProperty(value = "一级来源")
    private String sourceOne;

    @ApiModelProperty(value = "二级来源")
    private String sourceTwo;

    @ApiModelProperty(value = "三级来源")
    private String sourceThree;

    private String openId;

    private String unionId;

    private boolean isReg;

}
