package com.xxh.cloud.user.framework.modules.register.service.impl;

import com.xxh.cloud.user.framework.modules.base.biz.UserInfoBizService;
import com.xxh.cloud.user.framework.modules.base.entity.dto.UserAddDTO;
import com.xxh.cloud.user.framework.modules.base.entity.vos.UserVO;
import com.xxh.cloud.user.framework.modules.base.service.UserService;
import com.xxh.cloud.user.framework.modules.login.service.UserLoginService;
import com.xxh.cloud.user.framework.modules.register.entity.dto.UserRegisterDto;
import com.xxh.cloud.user.framework.modules.register.service.UserRegisterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UserRegisterServiceImpl implements UserRegisterService {

    @Autowired
    private UserInfoBizService  userInfoBizService;

    @Override
    public UserVO registerByUserName(UserRegisterDto params) {
        UserAddDTO userAdd = new UserAddDTO();
        userAdd.setCompanyNo(params.getCompanyNo());
        userAdd.setUserName(params.getUserName());
        userAdd.setPassWord(params.getPassword());
        return userInfoBizService.add(userAdd);
    }
}
